Bug 525274 - Review Request: eclipse-callgraph - generates function call graph linked to Eclipse CDT
Summary: Review Request: eclipse-callgraph - generates function call graph linked to E...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Andrew Overholt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-23 19:11 UTC by Charley Wang
Modified: 2009-10-06 14:09 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-10-06 14:09:37 UTC
overholt: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Charley Wang 2009-09-23 19:11:12 UTC
Spec URL: https://fedoraproject.org/wiki/File:Eclipse-callgraph.spec
SRPM URL: https://fedoraproject.org/wiki/File:Eclipse-callgraph-0.0.1-1.fc11.src.rpm
Description: C/C++ Call Graph Visualization Tool

Comment 1 Charley Wang 2009-09-23 19:18:17 UTC
Additional information:

This is a joint project between myself and Roland Grunberg. It is our first package, and we are in need of a sponsor :)

Roland will be posting alternate URLs shortly (i.e. URLs that are not hosted on the Fedora wiki, sorry about that)

-Charley

Comment 2 Chitlesh GOORAH 2009-09-23 19:22:12 UTC
can you please verify if your plugin works under fedora's eclipse 3.5 on rawhide ?

The plugins that I package are not loading on eclipse 3.5 ,see bug 
https://bugzilla.redhat.com/show_bug.cgi?id=523928

Comment 3 Roland Grunberg 2009-09-23 20:14:01 UTC
Updated URLs to the Spec, and SRPM files :

Spec URL : http://akurtakov.fedorapeople.org/stap/Eclipse-callgraph.spec
SRPM URL : http://akurtakov.fedorapeople.org/stap/Eclipse-callgraph-0.0.1-1.fc11.src.rpm
Description: C/C++ Call Graph Visualization Tool

Comment 4 Roland Grunberg 2009-09-24 19:13:14 UTC
After some more updates :

URLs to the Spec, and SRPM files :

Spec URL : http://akurtakov.fedorapeople.org/stap/eclipse-callgraph.spec
SRPM URL : http://akurtakov.fedorapeople.org/stap/eclipse-callgraph-0.0.1-1.fc11.src.rpm

Comment 5 Andrew Overholt 2009-09-24 19:26:11 UTC
Thanks for the submission.  I know you used RPM Stubby to generate the
.spec from an Eclipse feature.xml and it did a nice job :)  There are
only a few issues with the review and they're listed below on the lines
beginning with an X.  Please fix them, bump the release and add a
comment in your .spec, and post new .spec and SRPM URLs here.  Once I've
verified it's fixed, we can move along with the process.  Thanks.

X please add a comment about the installation location (see below; the
  part about /usr/lib, dependencies, etc.)
X please capitalize the beginning of your changelog entry

Rest of review:
- licensing good
- fetch script is fine (contents match when I generate it myself)
- BRs/Rs okay
- macro usage fine
- %files fine
- builds and runs fine
- rpmlint not okay (but see above):

$ rpmlint eclipse-callgraph-0.0.1-1.fc11.i586.rpm
eclipse-callgraph.i586: E: no-binary
eclipse-callgraph.i586: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

- the warning is fine (we have to have this be arch-dependent due to its
  dependence on the arch-dependent CDT and therefore it must be in
  %{_libdir})
- there is no binary for the same reason as above

$ rpmlint eclipse-callgraph-0.0.1-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 7 Andrew Overholt 2009-09-24 20:06:29 UTC
Thanks.  The %changelog entries should be more descriptive in the future but I'll let it slide this time.  Approved.

I think you need to make this block FE-NEEDSPONSOR, right?

Comment 8 Andrew Overholt 2009-09-24 20:24:52 UTC
I've sponsored Charley.  Charley, please go ahead with https://fedoraproject.org/wiki/PackageMaintainers/CVSAdminProcedure.

Comment 9 Charley Wang 2009-09-24 20:33:13 UTC
New Package CVS Request
=======================
Package Name: eclipse-callgraph
Short Description: C/C++ Call Graph Visualization Tool
Owners: chwang rgrunber
Branches: 
InitialCC: chwang rgrunber akurtakov overholt

Comment 10 Charley Wang 2009-09-24 20:36:49 UTC
New Package CVS Request
=======================
Package Name: eclipse-callgraph
Short Description: C/C++ Call Graph Visualization Tool
Owners: chwang rgrunber
Branches: 
InitialCC: chwang rgrunber akurtakov overholt

Comment 11 Charley Wang 2009-09-24 20:39:18 UTC
(Modified, sorry for the triple post)

New Package CVS Request
=======================
Package Name: eclipse-callgraph
Short Description: C/C++ Call Graph Visualization Tool
Owners: chwang
Branches: 
InitialCC: chwang rgrunber akurtakov overholt

Comment 12 Dennis Gilmore 2009-09-25 15:35:00 UTC
CVS Done


Note You need to log in before you can comment on or make changes to this bug.